Bug 1412805 - failing test main.events_2
Summary: failing test main.events_2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Schorm
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 20:52 UTC by Honza Horak
Modified: 2017-04-12 10:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 19:20:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch to fix event_2.text (1.59 KB, patch)
2017-01-12 21:50 UTC, Honza Horak
no flags Details | Diff

Description Honza Horak 2017-01-12 20:52:10 UTC
Description of problem:

Test main.events_2 fails:
main.events_2                            [ fail ]
        Test ended at 2017-01-12 15:44:48

CURRENT_TEST: main.events_2
mysqltest: At line 18: query 'drop event e_26' failed: 1539: Unknown event 'e_26'

The result from queries just before the failure was:
drop database if exists events_test;
create database events_test;
use events_test;
create event e_26 on schedule at '2017-01-01 00:00:00' disable do set @a = 5;
Warnings:
Note	1588	Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation.
select db, name, body, definer, convert_tz(execute_at, 'UTC', 'SYSTEM'), on_completion from mysql.event;
db	name	body	definer	convert_tz(execute_at, 'UTC', 'SYSTEM')	on_completion

 - saving '/home/testhhorak/rpmbuild/BUILD/mysql-5.1.73/mysql-test/var/log/main.events_2/' to '/home/testhhorak/rpmbuild/BUILD/mysql-5.1.73/mysql-test/var/log/main.events_2/'

Only  7  of 13 completed.
mysql-test-run: *** ERROR: Not all tests completed


Version-Release number of selected component (if applicable):
mysql-5.1.73-8.el6_8

How reproducible:
every-time

Steps to Reproduce:
1. cd mysql-test
2. ./mysql-test-run --do-test=event

Actual results:
test fails

Expected results:
test does not fail

Additional info:
Easy to fix, even is created with date 2017-01-01, which already passed, so the event does not exist when it is expected. Changing the date to 2027 fixes the test failure.

Comment 1 Honza Horak 2017-01-12 21:50:12 UTC
Created attachment 1240135 [details]
proposed patch to fix event_2.text


Note You need to log in before you can comment on or make changes to this bug.